package org.jeecg.ctop.material.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import org.jeecg.common.api.vo.Result;
import org.jeecg.ctop.material.entity.ManagerSaleValue;

import java.text.ParseException;

/**
 * 分公司总经理&销售总监阶段性目标值
 *
 * @author jeecg-boot
 * 2022-04-14
 * @version V1.0
 */
public interface IManagerSaleValueService extends IService<ManagerSaleValue> {

    Result<Object> getCompany(String userId);

    Result<Object> getDayAndMonthlyCharges(String userId, String mediaId, String startTime, String endTime, String operate) throws ParseException;

    void setUpManagerSaleValue(ManagerSaleValue sale) throws Exception;

    Result<Object> getHomeCharges(String userId, String mediaId, String startTime, String endTime) throws ParseException;

    PageInfo getProjectChargeTop(String userId, String mediaId, String startTime, String endTime, String operate, Integer pageNo, Integer pageSize) throws Exception;
}
